package com.fjhx.mail.service.my;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.mail.entity.my.po.MyFolder;
import com.ruoyi.common.core.service.BaseService;
import com.fjhx.mail.entity.my.vo.MyFolderVo;
import com.fjhx.mail.entity.my.dto.MyFolderSelectDto;
import com.fjhx.mail.entity.my.dto.MyFolderDto;

import java.util.List;


/**
 * <p>
 * 我的文件夹 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-29
 */
public interface MyFolderService extends BaseService<MyFolder> {

    /**
     * 树形
     */
    List<JSONObject> tree(MyFolderSelectDto dto);

    /**
     * 我的文件夹明细
     */
    MyFolderVo detail(Long id);

    /**
     * 我的文件夹新增
     */
    void add(MyFolderDto myFolderDto);

    /**
     * 我的文件夹编辑
     */
    void edit(MyFolderDto myFolderDto);

    /**
     * 我的文件夹删除
     */
    void delete(Long id);

}
